支付
商家日贴对账单
POST
/
platformapi
/
chainup
/
open
/
opay
/
merchantBillingDay
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/merchantBillingDay \
--header 'Content-Type: application/json' \
--data '{
"appKey": "xxx_xxx",
"sign": "xxx",
"orderType": "1",
"userId": 230000,
"startDate": "2099-01-01 00:00:00",
"endDate": "2099-01-01 23:59:59",
"pageNum": 1,
"pageSize": 200
}'
{
"code": "",
"msg": "",
"data": {
"count": 1000,
"list": [
{
"merchantUserId": 23000,
"appOrderId": "100000019",
"payCoinSymbol": "btc",
"orderAmount": 10,
"orderType": 1,
"userId": 230000,
"openId": "2ae04ed9165624419bad68e9e0f3f29fbd",
"createTime": "11200321123",
"payTime": "320012321"
},
{
"merchantUserId": 23000,
"appOrderId": "100000019",
"payCoinSymbol": "btc",
"orderAmount": 10,
"orderType": 1,
"userId": 230000,
"openId": "2ae04ed9165624419bad68e9e0f3f29fbd",
"createTime": "11200321123",
"payTime": "320012321"
}
]
}
}
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
orderType
string
required订单类型(1=支付订单;11=划转订单),不传查询所有订单
Example: 1
day
string
required统计的日期,格式:yyyy-MM-dd,不符合格式参数异常;day、startDate、endDate均不传时查询当日订单
Example: 2099-01-01
userId
integer
付款用户id,不传查询所有用户;单独传userId且不传day、startDate、endDate时,默认查询当日订单
Example: 230000
startDate
string
开始时间,精确到秒 yyyy-MM-dd HH:mm:ss;与endDate同时传时优先于day
Example: 2099-01-01 00:00:00
endDate
string
结束时间,精确到秒 yyyy-MM-dd HH:mm:ss;与startDate同时传时优先于day
Example: 2099-01-01 23:59:59
pageNum
string
required查询第几页,同分页逻辑;不传查所有
Example: 1
pageSize
string
required每页大小,同分页逻辑;不传查2000(最大为2000,数据超过2000请分页查询)
Example: 200
sign
string
required签名(MD5(Sort(Param) + secret))
Response
200 - application/json
code
string
返回code
msg
string
成功或失败提示信息
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/merchantBillingDay \
--header 'Content-Type: application/json' \
--data '{
"appKey": "xxx_xxx",
"sign": "xxx",
"orderType": "1",
"userId": 230000,
"startDate": "2099-01-01 00:00:00",
"endDate": "2099-01-01 23:59:59",
"pageNum": 1,
"pageSize": 200
}'
{
"code": "",
"msg": "",
"data": {
"count": 1000,
"list": [
{
"merchantUserId": 23000,
"appOrderId": "100000019",
"payCoinSymbol": "btc",
"orderAmount": 10,
"orderType": 1,
"userId": 230000,
"openId": "2ae04ed9165624419bad68e9e0f3f29fbd",
"createTime": "11200321123",
"payTime": "320012321"
},
{
"merchantUserId": 23000,
"appOrderId": "100000019",
"payCoinSymbol": "btc",
"orderAmount": 10,
"orderType": 1,
"userId": 230000,
"openId": "2ae04ed9165624419bad68e9e0f3f29fbd",
"createTime": "11200321123",
"payTime": "320012321"
}
]
}
}